Bug 1495259 - [abrt] dnfdragora-gui: flush_stream(): config.py:89:saveUserPreferences:OSError: [Errno 122] Disk quota exceeded
Summary: [abrt] dnfdragora-gui: flush_stream(): config.py:89:saveUserPreferences:OSErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8069ee9e6e7c73b55a5255d6c99...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-25 15:34 UTC by RobbieTheK
Modified: 2018-01-01 22:11 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:27:43 UTC


Attachments (Terms of Use)
File: backtrace (2.55 KB, text/plain)
2017-09-25 15:34 UTC, RobbieTheK
no flags Details
File: cgroup (328 bytes, text/plain)
2017-09-25 15:34 UTC, RobbieTheK
no flags Details
File: cpuinfo (1.09 KB, text/plain)
2017-09-25 15:34 UTC, RobbieTheK
no flags Details
File: environ (2.37 KB, text/plain)
2017-09-25 15:34 UTC, RobbieTheK
no flags Details
File: mountinfo (10.42 KB, text/plain)
2017-09-25 15:34 UTC, RobbieTheK
no flags Details
File: namespaces (102 bytes, text/plain)
2017-09-25 15:35 UTC, RobbieTheK
no flags Details
File: open_fds (1013 bytes, text/plain)
2017-09-25 15:35 UTC, RobbieTheK
no flags Details

Description RobbieTheK 2017-09-25 15:34:53 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /bin/dnfdragora-updater
crash_function: flush_stream
exception_type: OSError
executable:     /bin/dnfdragora-updater
kernel:         4.12.9-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            6529

Truncated backtrace:
config.py:89:saveUserPreferences:OSError: [Errno 122] Disk quota exceeded

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdragora/config.py", line 89, in saveUserPreferences
    yaml.dump(self._userPrefs, outfile, default_flow_style=False)
  File "/usr/lib64/python3.6/site-packages/yaml/__init__.py", line 200, in dump
    return dump_all([data], stream, Dumper=Dumper, **kwds)
  File "/usr/lib64/python3.6/site-packages/yaml/__init__.py", line 188, in dump_all
    dumper.represent(data)
  File "/usr/lib64/python3.6/site-packages/yaml/representer.py", line 27, in represent
    self.serialize(node)
  File "/usr/lib64/python3.6/site-packages/yaml/serializer.py", line 55, in serialize
    self.emit(DocumentEndEvent(explicit=self.use_explicit_end))
  File "/usr/lib64/python3.6/site-packages/yaml/emitter.py", line 115, in emit
    self.state()
  File "/usr/lib64/python3.6/site-packages/yaml/emitter.py", line 220, in expect_document_end
    self.flush_stream()
  File "/usr/lib64/python3.6/site-packages/yaml/emitter.py", line 789, in flush_stream
    self.stream.flush()
OSError: [Errno 122] Disk quota exceeded

During handling of the above exception, another exception occurred:

OSError: [Errno 122] Disk quota exceeded

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 113, in __run_update
    return self.__run_dialog({'update_only': True})
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 105, in __run_dialog
    self.__main_gui.handleevent()
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 1243, in handleevent
    self.saveUserPreference()
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 1070, in saveUserPreference
    self.config.saveUserPreferences()
  File "/usr/lib/python3.6/site-packages/dnfdragora/config.py", line 89, in saveUserPreferences
    yaml.dump(self._userPrefs, outfile, default_flow_style=False)
OSError: [Errno 122] Disk quota exceeded

Local variables in innermost frame:
outfile: <_io.TextIOWrapper name='/u/erdos/csga/rtoolsee/.config/dnfdragora.yaml' mode='w' encoding='UTF-8'>
self: <dnfdragora.config.AppConfig object at 0x7f0f6dfe77b8>

Comment 1 RobbieTheK 2017-09-25 15:34:55 UTC
Created attachment 1330601 [details]
File: backtrace

Comment 2 RobbieTheK 2017-09-25 15:34:56 UTC
Created attachment 1330602 [details]
File: cgroup

Comment 3 RobbieTheK 2017-09-25 15:34:57 UTC
Created attachment 1330603 [details]
File: cpuinfo

Comment 4 RobbieTheK 2017-09-25 15:34:58 UTC
Created attachment 1330604 [details]
File: environ

Comment 5 RobbieTheK 2017-09-25 15:34:59 UTC
Created attachment 1330605 [details]
File: mountinfo

Comment 6 RobbieTheK 2017-09-25 15:35:00 UTC
Created attachment 1330606 [details]
File: namespaces

Comment 7 RobbieTheK 2017-09-25 15:35:01 UTC
Created attachment 1330607 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:22:17 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:27:16 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:54:07 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:39:54 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:27:43 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:11:18 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.